import calc_frechet
import numpy as np
import pandas as pd
import sys

a = np.array([[0.0],[1.0], [0.0], [1.0]], dtype="d")
b = np.array([[0.0],[0.75], [0.25], [1.0]], dtype="d")
c = np.array([[0.0],[1.0]], dtype="d")


ac = calc_frechet.Curve(a)
bc = calc_frechet.Curve(b)
cc = calc_frechet.Curve(c)

d = calc_frechet.Curves()

d.add(ac)
d.add(ac)
d.add(ac)
d.add(ac)
d.add(ac)
d.add(ac)
d.add(ac)
d.add(ac)
d.add(bc)
d.add(bc)
d.add(bc)
d.add(bc)
d.add(cc)
d.add(cc)
d.add(cc)
d.add(cc)

result = calc_frechet.kcenter_with_assignment(3, d);
